Bug 773083

Summary: Globally uncaught exception "JavaScriptException:(TypeError): this.getField(_3) is null" on Dashboards view immediately after logging in
Product: [Other] RHQ Project Reporter: Ian Springer <ian.springer>
Component: Core UIAssignee: Mike Thompson <mithomps>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: medium Docs Contact:
Priority: medium    
Version: 4.2CC: ccrouch, hrupp, jshaughn, mithomps
Target Milestone: ---   
Target Release: RHQ 4.3.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: 4.3.0 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-09-01 06:02:56 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 735475, 760116    

Description Ian Springer 2012-01-10 16:22:22 EST
Globally uncaught exception
Severity :	
Error
	
Time :	
Tuesday, January 10, 2012 4:00:52 PM Etc/GMT+5
Detail :	

com.google.gwt.core.client.JavaScriptException:(TypeError): this.getField(_3) is null
 stack: isc_ListGrid_sort(1,true)@http://ec2-184-73-101-114.compute-1.amazonaws.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js:2584
isc_ListGrid_resort()@http://ec2-184-73-101-114.compute-1.amazonaws.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js:2583
isc_ListGrid_setFields((void 0))@http://ec2-184-73-101-114.compute-1.amazonaws.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js:1216
isc_ListGrid_refreshFields()@http://ec2-184-73-101-114.compute-1.amazonaws.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js:1256
org_rhq_enterprise_gui_coregui_client_dashboard_portlets_platform_PlatformSummaryPortlet$3_$onSuccess__Lorg_rhq_enterprise_gui_coregui_client_dashboard_portlets_platform_PlatformSummaryPortlet$3_2Ljava_util_Set_2V([object Object],[object Object])@http://ec2-184-73-101-114.compute-1.amazonaws.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/CE2276AC5BAC83316A1FFD8E5A1EDAB3.cache.html:99789
org_rhq_enterprise_gui_coregui_client_dashboard_portlets_platform_PlatformSummaryPortlet$3_onSuccess__Ljava_lang_Object_2V([object Object])@http://ec2-184-73-101-114.compute-1.amazonaws.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/CE2276AC5BAC83316A1FFD8E5A1EDAB3.cache.html:99811
com_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_$onResponseReceived__Lcom_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_2Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V([object Object],[object Object])@http://ec2-184-73-101-114.compute-1.amazonaws.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/CE2276AC5BAC83316A1FFD8E5A1EDAB3.cache.html:9349
org_rhq_enterprise_gui_coregui_client_util_rpc_TrackingRequestCallback_onResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V([object Object],[object Object])@http://ec2-184-73-101-114.compute-1.amazonaws.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/CE2276AC5BAC83316A1FFD8E5A1EDAB3.cache.html:168770
com_google_gwt_http_client_Request_$fireOnResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_RequestCallback_2V([object Object],[object Object])@http://ec2-184-73-101-114.compute-1.amazonaws.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/CE2276AC5BAC83316A1FFD8E5A1EDAB3.cache.html:4376
com_google_gwt_http_client_RequestBuilder$1_onReadyStateChange__Lcom_google_gwt_xhr_client_XMLHttpRequest_2V([object XMLHttpRequest])@http://ec2-184-73-101-114.compute-1.amazonaws.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/CE2276AC5BAC83316A1FFD8E5A1EDAB3.cache.html:4600
([object Event])@http://ec2-184-73-101-114.compute-1.amazonaws.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/CE2276AC5BAC83316A1FFD8E5A1EDAB3.cache.html:12659
com_google_gwt_core_client_impl_Impl_entry0__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2((function () {handler.onReadyStateChange__Lcom_google_gwt_xhr_client_XMLHttpRequest_2V(_this);}),[object XMLHttpRequest],[object Arguments])@http://ec2-184-73-101-114.compute-1.amazonaws.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/CE2276AC5BAC83316A1FFD8E5A1EDAB3.cache.html:2474
([object Event])@http://ec2-184-73-101-114.compute-1.amazonaws.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/CE2276AC5BAC83316A1FFD8E5A1EDAB3.cache.html:2463

 fileName: http://ec2-184-73-101-114.compute-1.amazonaws.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js
 lineNumber: 2584
--- STACK TRACE FOLLOWS ---
(TypeError): this.getField(_3) is null
 stack: isc_ListGrid_sort(1,true)@http://ec2-184-73-101-114.compute-1.amazonaws.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js:2584
isc_ListGrid_resort()@http://ec2-184-73-101-114.compute-1.amazonaws.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js:2583
isc_ListGrid_setFields((void 0))@http://ec2-184-73-101-114.compute-1.amazonaws.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js:1216
isc_ListGrid_refreshFields()@http://ec2-184-73-101-114.compute-1.amazonaws.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js:1256
org_rhq_enterprise_gui_coregui_client_dashboard_portlets_platform_PlatformSummaryPortlet$3_$onSuccess__Lorg_rhq_enterprise_gui_coregui_client_dashboard_portlets_platform_PlatformSummaryPortlet$3_2Ljava_util_Set_2V([object Object],[object Object])@http://ec2-184-73-101-114.compute-1.amazonaws.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/CE2276AC5BAC83316A1FFD8E5A1EDAB3.cache.html:99789
org_rhq_enterprise_gui_coregui_client_dashboard_portlets_platform_PlatformSummaryPortlet$3_onSuccess__Ljava_lang_Object_2V([object Object])@http://ec2-184-73-101-114.compute-1.amazonaws.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/CE2276AC5BAC83316A1FFD8E5A1EDAB3.cache.html:99811
com_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_$onResponseReceived__Lcom_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_2Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V([object Object],[object Object])@http://ec2-184-73-101-114.compute-1.amazonaws.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/CE2276AC5BAC83316A1FFD8E5A1EDAB3.cache.html:9349
org_rhq_enterprise_gui_coregui_client_util_rpc_TrackingRequestCallback_onResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V([object Object],[object Object])@http://ec2-184-73-101-114.compute-1.amazonaws.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/CE2276AC5BAC83316A1FFD8E5A1EDAB3.cache.html:168770
com_google_gwt_http_client_Request_$fireOnResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_RequestCallback_2V([object Object],[object Object])@http://ec2-184-73-101-114.compute-1.amazonaws.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/CE2276AC5BAC83316A1FFD8E5A1EDAB3.cache.html:4376
com_google_gwt_http_client_RequestBuilder$1_onReadyStateChange__Lcom_google_gwt_xhr_client_XMLHttpRequest_2V([object XMLHttpRequest])@http://ec2-184-73-101-114.compute-1.amazonaws.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/CE2276AC5BAC83316A1FFD8E5A1EDAB3.cache.html:4600
([object Event])@http://ec2-184-73-101-114.compute-1.amazonaws.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/CE2276AC5BAC83316A1FFD8E5A1EDAB3.cache.html:12659
com_google_gwt_core_client_impl_Impl_entry0__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2((function () {handler.onReadyStateChange__Lcom_google_gwt_xhr_client_XMLHttpRequest_2V(_this);}),[object XMLHttpRequest],[object Arguments])@http://ec2-184-73-101-114.compute-1.amazonaws.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/CE2276AC5BAC83316A1FFD8E5A1EDAB3.cache.html:2474
([object Event])@http://ec2-184-73-101-114.compute-1.amazonaws.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/CE2276AC5BAC83316A1FFD8E5A1EDAB3.cache.html:2463

 fileName: http://ec2-184-73-101-114.compute-1.amazonaws.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js
 lineNumber: 2584
   at Unknown.isc_ListGrid_sort(Unknown source:0)
   at Unknown.isc_ListGrid_resort(Unknown source:0)
   at Unknown.isc_ListGrid_setFields(Unknown source:0)
   at Unknown.isc_ListGrid_refreshFields(Unknown source:0)
   at Unknown.org_rhq_enterprise_gui_coregui_client_dashboard_portlets_platform_PlatformSummaryPortlet$3_$onSuccess__Lorg_rhq_enterprise_gui_coregui_client_dashboard_portlets_platform_PlatformSummaryPortlet$3_2Ljava_util_Set_2V(Unknown source:0)
   at Unknown.org_rhq_enterprise_gui_coregui_client_dashboard_portlets_platform_PlatformSummaryPortlet$3_onSuccess__Ljava_lang_Object_2V(Unknown source:0)
   at Unknown.com_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_$onResponseReceived__Lcom_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_2Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V(Unknown source:0)
   at Unknown.org_rhq_enterprise_gui_coregui_client_util_rpc_TrackingRequestCallback_onResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V(Unknown source:0)
   at Unknown.com_google_gwt_http_client_Request_$fireOnResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_RequestCallback_2V(Unknown source:0)
   at Unknown.com_google_gwt_http_client_RequestBuilder$1_onReadyStateChange__Lcom_google_gwt_xhr_client_XMLHttpRequest_2V(Unknown source:0)
   at Unknown.anonymous(Unknown source:0)
   at Unknown.com_google_gwt_core_client_impl_Impl_entry0__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2(Unknown source:0)
   at Unknown.anonymous(Unknown source:0)
   at Unknown.anonymous(Unknown source:0)
Comment 2 Jay Shaughnessy 2012-01-16 16:47:02 EST
Not much to go one.  Seems maybe related to sorting so perhaps need
multiple platforms to recreate? 

May want to defer investigation until after SmartGWT 3.0 upgrade.
Comment 3 Mike Thompson 2012-02-09 11:23:05 EST
After the SmartGWT 3.0 upgrade this is what this looks like now:

(-:-) 2012-02-07 09:32:44,435 [TRACE] TrackingRequestCallback[id=21, name=MeasurementDataGWTService_Proxy.findDataForResource, age=431]: 200/OK
681A60...he.html (line 1738)
(-:-) 2012-02-07 09:32:44,440 [TRACE] RPCTracker success: TrackingRequestCallback[id=21, name=MeasurementDataGWTService_Proxy.findDataForResource, age=436]
681A60...he.html (line 1738)
(-:-) 2012-02-07 09:32:44,444 [TRACE] RPCTracker queue depth is 3
681A60...he.html (line 1738)
(-:-) 2012-02-07 09:32:44,471 [ERROR] At [Tue Feb 07 09:32:44 GMT-800 2012] MessageCenter received: Globally uncaught exception
681A60...he.html (line 1738)
(-:-) 2012-02-07 09:32:44,479 [WARN ] Globally uncaught exception
681A60...he.html (line 1738)
com.google.gwt.core.client.JavaScriptException: (TypeError): this$static is null
681A60...he.html (line 1738)
fileName: http://192.168.1.6:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/681A6099FE8BCD98C164073CBDB70DED.cache.html
681A60...he.html (line 1738)
stack: java_lang_Integer_$intValue__Ljava_lang_Integer_2I(null)@http://192.168.1.6:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/681A6099FE8BCD98C164073CBDB70DED.cache.html:41557
681A60...he.html (line 1738)
org_rhq_enterprise_gui_coregui_client_inventory_common_AbstractMetricGraphView_$loadData__Lorg_rhq_enterprise_gui_coregui_client_inventory_common_AbstractMetricGraphView_2Lca_nanometrics_gflot_client_PlotModel_2Lca_nanometrics_gflot_client_options_PlotOptions_2V([object Object],[object Object],[object Object])@http://192.168.1.6:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/681A6099FE8BCD98C164073CBDB70DED.cache.html:142669
681A60...he.html (line 1738)
org_rhq_enterprise_gui_coregui_client_inventory_common_AbstractMetricGraphView_$drawGraph__Lorg_rhq_enterprise_gui_coregui_client_inventory_common_AbstractMetricGraphView_2V([object Object])@http://192.168.1.6:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/681A6099FE8BCD98C164073CBDB70DED.cache.html:142618
681A60...he.html (line 1738)
org_rhq_enterprise_gui_coregui_client_inventory_resource_detail_monitoring_ResourceMetricGraphView$1$1$1_$onSuccess__Lorg_rhq_enterprise_gui_coregui_client_inventory_resource_detail_monitoring_ResourceMetricGraphView$1$1$1_2Ljava_util_List_2V([object Object],[object Object])@http://192.168.1.6:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/681A6099FE8BCD98C164073CBDB70DED.cache.html:200413
681A60...he.html (line 1738)
org_rhq_enterprise_gui_coregui_client_inventory_resource_detail_monitoring_ResourceMetricGraphView$1$1$1_onSuccess__Ljava_lang_Object_2V([object Object])@http://192.168.1.6:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/681A6099FE8BCD98C164073CBDB70DED.cache.html:200435
681A60...he.html (line 1738)
com_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_onResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V([object Object],[object Object])@http://192.168.1.6:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/681A6099FE8BCD98C164073CBDB70DED.cache.html:17326
681A60...he.html (line 1738)
org_rhq_enterprise_gui_coregui_client_util_rpc_TrackingRequestCallback_onResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V([object Object],[object Object])@http://192.168.1.6:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/681A6099FE8BCD98C164073CBDB70DED.cache.html:216601
681A60...he.html (line 1738)
com_google_gwt_http_client_Request_$fireOnResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_RequestCallback_2V([object Object],[object Object])@http://192.168.1.6:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/681A6099FE8BCD98C164073CBDB70DED.cache.html:7821
681A60...he.html (line 1738)
com_google_gwt_http_client_RequestBuilder$1_onReadyStateChange__Lcom_google_gwt_xhr_client_XMLHttpRequest_2V([object XMLHttpRequest])@http://192.168.1.6:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/681A6099FE8BCD98C164073CBDB70DED.cache.html:8111
681A60...he.html (line 1738)
([object Event])@http://192.168.1.6:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/681A6099FE8BCD98C164073CBDB70DED.cache.html:22860
681A60...he.html (line 1738)
com_google_gwt_core_client_impl_Impl_apply__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2((function () {handler.onReadyStateChange__Lcom_google_gwt_xhr_client_XMLHttpRequest_2V(_this);}),[object XMLHttpRequest],[object Arguments])@http://192.168.1.6:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/681A6099FE8BCD98C164073CBDB70DED.cache.html:4084
681A60...he.html (line 1738)
com_google_gwt_core_client_impl_Impl_entry0__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2((function () {handler.onReadyStateChange__Lcom_google_gwt_xhr_client_XMLHttpRequest_2V(_this);}),[object XMLHttpRequest],[object Arguments])@http://192.168.1.6:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/681A6099FE8BCD98C164073CBDB70DED.cache.html:4121
681A60...he.html (line 1738)
([object Event])@http://192.168.1.6:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/681A6099FE8BCD98C164073CBDB70DED.cache.html:4106
681A60...he.html (line 1738)
(an empty string)
681A60...he.html (line 1738)
lineNumber: 41557
681A60...he.html (line 1738)
at Unknown.java_lang_Integer_$intValue__Ljava_lang_Integer_2I(Unknown Source)
681A60...he.html (line 1738)
at Unknown.org_rhq_enterprise_gui_coregui_client_inventory_common_AbstractMetricGraphView_$loadData__Lorg_rhq_enterprise_gui_coregui_client_inventory_common_AbstractMetricGraphView_2Lca_nanometrics_gflot_client_PlotModel_2Lca_nanometrics_gflot_client_options_PlotOptions_2V(Unknown Source)
681A60...he.html (line 1738)
at Unknown.org_rhq_enterprise_gui_coregui_client_inventory_common_AbstractMetricGraphView_$drawGraph__Lorg_rhq_enterprise_gui_coregui_client_inventory_common_AbstractMetricGraphView_2V(Unknown Source)
681A60...he.html (line 1738)
at Unknown.org_rhq_enterprise_gui_coregui_client_inventory_resource_detail_monitoring_ResourceMetricGraphView$1$1$1_$onSuccess__Lorg_rhq_enterprise_gui_coregui_client_inventory_resource_detail_monitoring_ResourceMetricGraphView$1$1$1_2Ljava_util_List_2V(Unknown Source)
681A60...he.html (line 1738)
at Unknown.org_rhq_enterprise_gui_coregui_client_inventory_resource_detail_monitoring_ResourceMetricGraphView$1$1$1_onSuccess__Ljava_lang_Object_2V(Unknown Source)
681A60...he.html (line 1738)
at Unknown.com_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_onResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V(Unknown Source)
681A60...he.html (line 1738)
at Unknown.org_rhq_enterprise_gui_coregui_client_util_rpc_TrackingRequestCallback_onResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V(Unknown Source)
681A60...he.html (line 1738)
at Unknown.com_google_gwt_http_client_Request_$fireOnResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_RequestCallback_2V(Unknown Source)
681A60...he.html (line 1738)
at Unknown.com_google_gwt_http_client_RequestBuilder$1_onReadyStateChange__Lcom_google_gwt_xhr_client_XMLHttpRequest_2V(Unknown Source)
681A60...he.html (line 1738)
at Unknown.anonymous(Unknown Source)
681A60...he.html (line 1738)
at Unknown.com_google_gwt_core_client_impl_Impl_apply__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2(Unknown Source)
681A60...he.html (line 1738)
at Unknown.com_google_gwt_core_client_impl_Impl_entry0__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2(Unknown Source)
681A60...he.html (line 1738)
at Unknown.anonymous(Unknown Source)
681A60...he.html (line 1738)
at Unknown.anonymous(Unknown Source)
681A60...he.html (line 1738)
(-:-) 2012-02-07 09:32:44,569 [TRACE] TrackingRequestCallback[id=22, name=MeasurementDataGWTService_Proxy.findDataForResource, age=474]: 200/OK
681A60...he.html (line 1738)
(-:-) 2012-02-07 09:32:44,574 [TRACE] RPCTracker success: TrackingRequestCallback[id=22, name=MeasurementDataGWTService_Proxy.findDataForResource, age=479]
681A60...he.html (line 1738)
(-:-) 2012-02-07 09:32:44,578 [TRACE] RPCTracker queue depth is 2
681A60...he.html (line 1738)
(-:-) 2012-02-07 09:32:44,605 [ERROR] At [Tue Feb 07 09:32:44 GMT-800 2012] MessageCenter received: Globally uncaught exception
681A60...he.html (line 1738)
(-:-) 2012-02-07 09:32:44,611 [WARN ] Globally uncaught exception
681A60...he.html (line 1738)
com.google.gwt.core.client.JavaScriptException: (TypeError): this$static is null
681A60...he.html (line 1738)
fileName: http://192.168.1.6:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/681A6099FE8BCD98C164073CBDB70DED.cache.html
681A60...he.html (line 1738)
stack: java_lang_Integer_$intValue__Ljava_lang_Integer_2I(null)@http://192.168.1.6:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/681A6099FE8BCD98C164073CBDB70DED.cache.html:41557
681A60...he.html (line 1738)
org_rhq_enterprise_gui_coregui_client_inventory_common_AbstractMetricGraphView_$loadData__Lorg_rhq_enterprise_gui_coregui_client_inventory_common_AbstractMetricGraphView_2Lca_nanometrics_gflot_client_PlotModel_2Lca_nanometrics_gflot_client_options_PlotOptions_2V([object Object],[object Object],[object Object])@http://192.168.1.6:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/681A6099FE8BCD98C164073CBDB70DED.cache.html:142669
681A60...he.html (line 1738)
org_rhq_enterprise_gui_coregui_client_inventory_common_AbstractMetricGraphView_$drawGraph__Lorg_rhq_enterprise_gui_coregui_client_inventory_common_AbstractMetricGraphView_2V([object Object])@http://192.168.1.6:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/681A6099FE8BCD98C164073CBDB70DED.cache.html:142618
681A60...he.html (line 1738)
org_rhq_enterprise_gui_coregui_client_inventory_resource_detail_monitoring_ResourceMetricGraphView$1$1$1_$onSuccess__Lorg_rhq_enterprise_gui_coregui_client_inventory_resource_detail_monitoring_ResourceMetricGraphView$1$1$1_2Ljava_util_List_2V([object Object],[object Object])@http://192.168.1.6:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/681A6099FE8BCD98C164073CBDB70DED.cache.html:200413
681A60...he.html (line 1738)
org_rhq_enterprise_gui_coregui_client_inventory_resource_detail_monitoring_ResourceMetricGraphView$1$1$1_onSuccess__Ljava_lang_Object_2V([object Object])@http://192.168.1.6:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/681A6099FE8BCD98C164073CBDB70DED.cache.html:200435
Comment 4 Mike Thompson 2012-02-10 16:31:53 EST
After a lot digging I found that Canvas.getDefaultWidth() should be used over Canvas.getWidth if the width is being sized by a Layout:

   For custom components, establishes a default width for the component. <P> For a component that should potentially be
     * sized automatically by a Layout, set this property rather than {@link com.smartgwt.client.widgets.Canvas#getWidth width}
     * directly, because Layouts regard a width setting as an explicit size that shouldn't be changed.
Comment 5 Mike Thompson 2012-02-10 16:38:24 EST
 
branch: feature/gwt-upgrade 
commit: f106bf1 


This is an intermittent error  so testing could be difficult. However, checking the console after startup from the Dashboard should be clean and not throw the above exception. I have not seen this error since committing this change.
Comment 6 Charles Crouch 2012-02-21 12:32:14 EST
Setting Target Release correctly.
Comment 8 Heiko W. Rupp 2013-09-01 06:02:56 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.